Get shipments by order
curl --request GET \
--url https://store.salesive.com/api/v1/shipping/shipments \
--header 'Authorization: Bearer <token>' \
--header 'x-shop-id: <api-key>'import requests
url = "https://store.salesive.com/api/v1/shipping/shipments"
headers = {
"Authorization": "Bearer <token>",
"x-shop-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-shop-id': '<api-key>'}
};
fetch('https://store.salesive.com/api/v1/shipping/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"success": true,
"message": "<string>",
"data": [
{
"_id": "<string>",
"order": "<string>",
"carrier": "<string>",
"status": "<string>",
"trackingNumber": "<string>",
"shippingAddress": {
"fullName": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"phoneNumber": "<string>"
},
"estimatedDelivery": "2023-11-07T05:31:56Z",
"shippedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Shipping
Get shipments by order
Retrieve all shipments associated with a specific order.
GET
/
shipping
/
shipments
Get shipments by order
Request
GET /shipping/shipments?orderId=6a27d632289b87893fcbde35
Authorization: Bearer {{token}}
x-shop-id: {{shopId}}
Headers
| Header | Type | Description |
|---|---|---|
Authorization | string | Provide the customer token in the format Bearer <jwt>. |
x-shop-id | string | Identify the shop that owns the order. |
Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
orderId | string | Yes | The order ID to retrieve shipments for. |
Successful response
{
"status": 200,
"success": true,
"message": "Shipments retrieved",
"data": [
{
"_id": "6a27d67f289b87893fcbde40",
"orders": [],
"courier": {
"id": null,
"name": "Standard Delivery",
"image": null
},
"shippingAddress": {
"_id": "6938e4f0019a97bc42775b59",
"user": "69360693a7a8f7dc8ae32d6d",
"name": "Jane Smith",
"email": "jane@example.com",
"phone": "+2348099887766",
"address": "12 Computation Way, Lagos",
"city": "Lagos",
"state": "Lagos",
"zipCode": "100001",
"country": "NG",
"latitude": 6.4541,
"longitude": 3.3947,
"validated": {
"address_code": 572627280,
"address": "12 Computation Way, Lagos Island, Lagos, Nigeria",
"name": "Jane Smith",
"email": "jane@example.com",
"street_no": "12",
"street": "Computation Way",
"phone": "+2348099887766",
"formatted_address": "12 Computation Way, Lagos Island, Lagos, Nigeria",
"country": "Nigeria",
"country_code": "NG",
"city": "Lagos Island",
"city_code": "Lagos Island",
"state": "Lagos",
"state_code": "LA",
"postal_code": "100001",
"latitude": 6.4541,
"longitude": 3.3947
},
"isDefault": false,
"deleted": false,
"createdAt": "2025-12-10T03:11:44.136Z",
"updatedAt": "2025-12-10T03:11:44.136Z",
"__v": 0
},
"shippingOption": {
"_id": "69f8f047f5d9d8178331ec8a",
"name": "Standard Delivery",
"description": "Delivered within 3-5 business days.",
"type": "manual",
"price": 5000,
"match": "all",
"couriers": [],
"triggers": [],
"enabled": true,
"deleted": false,
"deletedAt": null,
"shop": "68b8f52575da81b332af29f1",
"pickupAddress": null,
"validatedAddress": null,
"createdAt": "2026-05-04T19:15:19.313Z",
"updatedAt": "2026-05-04T19:15:19.313Z",
"__v": 0
},
"trackingCode": "",
"trackingUrl": "",
"status": "pending",
"trackingHistory": [],
"estimatedDelivery": null,
"shippingCost": 5000,
"packageDimensions": {
"unit": "in"
},
"deleted": false,
"deletedAt": null,
"createdAt": "2026-06-09T09:01:51.440Z",
"updatedAt": "2026-06-09T09:01:51.440Z",
"__v": 0
}
]
}
Error response
{
"status": 400,
"success": false,
"message": "\"orderId\" is required",
"data": {}
}
Authorizations
JWT issued by the Salesive Store API for authenticated shoppers.
Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.
Headers
Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.
Query Parameters
The order ID to retrieve shipments for.
Was this page helpful?
⌘I

